Chuyển đến nội dung chính
GET
https://api-gw.verolabs.co/api/v1
/
users
/
accounts
/
{accountId}
/
orders
/
{startTime}
/
{endTime}
Lấy danh sách lệnh của tài khoản theo khoảng thời gian
curl --request GET \
  --url https://api-gw.verolabs.co/api/v1/users/accounts/{accountId}/orders/{startTime}/{endTime} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "orderID": "<string>",
    "refOrderID": "<string>",
    "externalOrderID": "<string>",
    "externalSecondOrderID": "<string>",
    "accountID": "<string>",
    "symbol": "<string>",
    "orderStatus": "<string>",
    "orderEntryPrice": 123,
    "orderEntryQty": 123,
    "orderCurrentPrice": 123,
    "orderCurrentQty": 123,
    "filledQty": 123,
    "avgFillPrice": 123,
    "cancelledQty": 123,
    "orderText": "<string>",
    "unixUTCTimeMs": 123,
    "createunixUTCTimeMs": 123,
    "persisState": "<string>",
    "algoID": "<string>",
    "positionID": "<string>",
    "parentOrderId": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oms.verolabs.co/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

JWT returned by Ory /sessions/whoami?tokenize_as=jwt_template_1 and stored by ApiClient.

Tham số đường dẫn

accountId
string
bắt buộc
startTime
integer<int64>
bắt buộc

Unix timestamp in milliseconds.

endTime
integer<int64>
bắt buộc

Unix timestamp in milliseconds.

Phản hồi

Orders in the requested time range.

id
string
orderID
string
refOrderID
string
externalOrderID
string
externalSecondOrderID
string
accountID
string
symbol
string
orderSide
enum<string>

B = Buy, S = Sell.

Tùy chọn có sẵn:
B,
S
orderStatus
string

FIX 5.0 style values used by the app: 0 New, 1 Partially Filled, 2 Filled, 4 Cancelled, 7 Stopped, 8 Rejected. Backend may also return text statuses.

orderType
enum<string>
Tùy chọn có sẵn:
LO,
MO,
ATO,
ATC,
MTL
orderEntryPrice
number
orderEntryQty
integer
orderCurrentPrice
number
orderCurrentQty
integer
filledQty
integer
avgFillPrice
number
cancelledQty
integer
orderText
string
unixUTCTimeMs
integer<int64>
createunixUTCTimeMs
integer<int64>
persisState
string
algoID
string
positionID
string
parentOrderId
string